# IpeAllAttributes Class Reference
[Ipe Attributes]

Collection of all object attributes. More...

List of all members.

## Public Member Functions

- IpeAllAttributes ()

## Public Attributes

- IpeAttribute iStroke
- IpeAttribute iFill
- IpeAttribute iDashStyle
- IpeAttribute iLineWidth
- IpeAttribute iArrowSize
- bool iForwardArrow
- bool iBackwardArrow
- IpeAttribute iMarkSize
- int iMarkShape
- IpeAttribute iTextSize
- bool iTransformable
- int iHorizontalAlignment
- int iVerticalAlignment
- IpeAttribute iTextStyle
- int iPinned
- IpeStrokeStyle iStrokeStyle

## Detailed Description

Collection of all object attributes.

## Constructor & Destructor Documentation

IpeAllAttributes::IpeAllAttributes | ( |  | ) |

Constructor makes all null attributes.

## Member Data Documentation

IpeAttribute IpeAllAttributes::iStroke

Stroke color.

IpeAttribute IpeAllAttributes::iFill

Fill color.

IpeAttribute IpeAllAttributes::iDashStyle

Dash style.

IpeAttribute IpeAllAttributes::iLineWidth

Line width.

IpeAttribute IpeAllAttributes::iArrowSize

Arrow size.

bool IpeAllAttributes::iForwardArrow

Arrow forward?

bool IpeAllAttributes::iBackwardArrow

Arrow backward?

IpeAttribute IpeAllAttributes::iMarkSize

Mark size.

int IpeAllAttributes::iMarkShape

Shape of mark objects.

IpeAttribute IpeAllAttributes::iTextSize

Text size.

bool IpeAllAttributes::iTransformable

Text transformable by default?

int IpeAllAttributes::iHorizontalAlignment

Horizontal alignment of label objects.

int IpeAllAttributes::iVerticalAlignment

Vertical alignment of label objects.

IpeAttribute IpeAllAttributes::iTextStyle

Text style.

int IpeAllAttributes::iPinned

Pinned status.

IpeStrokeStyle IpeAllAttributes::iStrokeStyle

Stroke style.

The documentation for this class was generated from the following files:

- ipeobj.h
- ipeobj.cpp